"use strict";
var path = require("path");
var Future = require("fibers/future");
var AddLibraryCommand = (function () {
    function AddLibraryCommand($platformService, $errors) {
        this.$platformService = $platformService;
        this.$errors = $errors;
        this.allowedParameters = [];
    }
    AddLibraryCommand.prototype.execute = function (args) {
        var platform = args[0];
        var libraryPath = path.resolve(args[1]);
        return this.$platformService.addLibrary(platform, libraryPath);
    };
    AddLibraryCommand.prototype.canExecute = function (args) {
        if (args.length !== 2) {
            this.$errors.fail("This command needs two parameters.");
        }
        this.$platformService.validatePlatformInstalled(args[0]);
        return Future.fromResult(true);
    };
    return AddLibraryCommand;
})();
exports.AddLibraryCommand = AddLibraryCommand;
$injector.registerCommand("library|add", AddLibraryCommand);
