"use strict";
function isWindows() {
    return process.platform === "win32";
}
exports.isWindows = isWindows;
function isWindows64() {
    return isWindows() && (process.arch === "x64" || process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"));
}
exports.isWindows64 = isWindows64;
function isWindows32() {
    return isWindows() && !isWindows64();
}
exports.isWindows32 = isWindows32;
function isDarwin() {
    return process.platform === "darwin";
}
exports.isDarwin = isDarwin;
function isLinux() {
    return process.platform === "linux";
}
exports.isLinux = isLinux;
function isLinux64() {
    return isLinux() && process.config.variables.host_arch === "x64";
}
exports.isLinux64 = isLinux64;
