"use strict";
var yargs = require("yargs");
var knownOpts = {
    "log": String,
    "verbose": Boolean,
    "path": String,
    "version": Boolean,
    "help": Boolean,
    "json": Boolean,
    "watch": Boolean,
    "avd": String,
    "profile-dir": String,
    "profileDir": String,
    "timeout": String,
    "device": String,
    "availableDevices": Boolean,
    "appid": String,
    "geny": String,
    "debug-brk": Boolean,
    "debugBrk": Boolean,
    "debug-port": Number,
    "debugPort": Number,
    "get-port": Boolean,
    "getPort": Boolean,
    "start": Boolean,
    "stop": Boolean,
    "ddi": String
}, shorthands = {
    "v": "verbose",
    "p": "path",
    "h": "help"
}, parsed = yargs.argv;
exports.setProfileDir = function (defaultProfileDir) {
    var selectedProfileDir = parsed["profile-dir"] || parsed["profileDir"] || defaultProfileDir;
    parsed["profile-dir"] = selectedProfileDir;
    parsed["profileDir"] = selectedProfileDir;
    exports["profile-dir"] = selectedProfileDir;
    exports["profileDir"] = selectedProfileDir;
};
exports.knownOpts = knownOpts;
exports.shorthands = shorthands;
Object.keys(parsed).forEach(function (opt) {
    var key = (shorthands[opt]) || opt;
    exports[key] = (typeof (parsed[opt]) === "number") ? parsed[opt].toString() : parsed[opt];
});
module.exports = exports;
