"use strict";
var path = require("path");
var util = require("util");
var StaticConfigBase = (function () {
    function StaticConfigBase() {
        this.PROJECT_FILE_NAME = null;
        this.CLIENT_NAME = null;
        this.ANALYTICS_API_KEY = null;
        this.ANALYTICS_INSTALLATION_ID_SETTING_NAME = null;
        this.TRACK_FEATURE_USAGE_SETTING_NAME = null;
        this.version = null;
    }
    Object.defineProperty(StaticConfigBase.prototype, "helpTextPath", {
        get: function () {
            return null;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(StaticConfigBase.prototype, "sevenZipFilePath", {
        get: function () {
            return path.join(__dirname, util.format("resources/platform-tools/unzip/%s/7za", process.platform));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(StaticConfigBase.prototype, "adbFilePath", {
        get: function () {
            return path.join(__dirname, util.format("resources/platform-tools/android/%s/adb", process.platform));
        },
        enumerable: true,
        configurable: true
    });
    return StaticConfigBase;
})();
exports.StaticConfigBase = StaticConfigBase;
